<? 

/* 
    whoislookup 1.0 -  Atlaz (zend@atlaz.net), 5th June 2000 
    "Simple" function to do whois on pretty much any domain although there are some gaps. 
     
    "License" is at the bottom. 
    .it added - ADaM "unno" (unno@softhome.net) 
     
*/ 
function whoislookup($domain) 
    { 
    $domarray = explode(".", $domain); 
    $count = count($domarray) - 1; 
    $ext = strtolower($domarray[$count]); 
    $niclist = "ar im as am au bt bg cl cc cg bi rw zr cr cz dk ec fo gl fr de ir it jo my mx ni nl nu pk pl ru sg sk es tw th to tm uk ua co ch li"; 
    $uslist = "com net org"; 
    $ripelist = "il gr gg je"; 
    $apniclist = ""; 
    $jpniclist = "jp"; 
    if($ext != "") 
        { 
        if(ereg($ext, $niclist)) 
            { 
            $whois_serv = "whois." . "nic." . $ext; 
            $errorlevel = 0; 
            } 
        elseif(ereg($ext, $uslist)) 
            { 
            $whois_serv = "whois.networksolutions.com"; 
            $errorlevel = 0; 
            } 
        elseif(ereg($ext, $ripelist)) 
            { 
            $whois_serv = "whois.ripe.net"; 
            $errorlevel = 0; 
            } 
        elseif(ereg($ext, $apniclist)) 
            { 
            $whois_serv = "whois.apnic.net"; 
            $errorlevel = 0; 
            } 
        elseif(ereg($ext, $jpniclist)) 
            { 
            $whois_serv = "whois.nic.ad.jp"; 
            $domain = $domain . "/e"; 
            $errorlevel = 0; 
            } 
        elseif($ext == "se") 
            { 
            $whois_serv = "whois.nic-se.se"; 
            $errorlevel = 0; 
            } 
        elseif($ext == "lu") 
            { 
            $whois_serv = "whois.restena.lu"; 
            $errorlevel = 0; 
            } 
        else 
            { 
            $errorlevel = 2; 
            } 
        } 
    else 
        { 
        $errorlevel = 1; 
        } 

    if (!empty($domain) && $errorlevel == 0) 
          { 
        $fp = fsockopen("$whois_serv", 43, &$errno, &$errstr, 30); 
            if(!$fp) 
            { 
            $output = "$errstr ($errno)<br>\n"; 
            } 
        else 
            { 
                fputs($fp,"$domain\n"); 
                while(!feof($fp)) 
                { 
                $output = $output . ereg_replace("\t", "&nbsp;", fgets($fp,128)) . "<BR>\n"; 
                } 
            fclose($fp); 
               } 
          } 
    elseif($errorlevel == 2) 
        { 
        $output = "Error $ext for domain $domain is not a recognised extension<br>\n"; 
        } 
    return $output; 
    } 
     
/* 
    Basically you're free to use this script and modify it for your site under the following restrictions: 
    1, That you email me if you find it useful and tell me where you're using it (just to see if it's used at all really) 
    2, You email me any modifications so that I can include them if they're of value     

    Takes the domain extension and checks to see which domain server it needs to go and find. Once it's found it it makes 
    a connection to port 43 and sends the domain to look up. The returned data is the output from the server. For domains 
    where the server is of the form whois.nic.extension I have created a list to simplify matters. The other lists are for 
    servers that handle multiple domains. 
     
    Where possible I have used the authoritative registry holder but where I had difficulty I used the region server instead. 
     
    The part where the server connection takes place was heavily influenced by a script written by fiera@fiera.net so thanks to him/her. 
     
    Oh, I've only been coding PHP for a short while so excuse the slightly messy way it's coded in places, it will get fixed when 
    I get around to it. 
     
    Further work to come: 
    Definitive domain lists 
    Database stored domain lists 
    Cached search results for faster searching 
    Optimise the algorithm 
*/ 
?>