<?php 
/* 
# 
#    this script uses two files, statGraph.php, a dynamic chart file, and report.php, 
#    both are included in this file, you must create two files. 
# 
#     you also need to add mysql code to each page to log an access, the query is below 
# 

# 
# Table structure for table `times` 
# 

CREATE TABLE times ( 
  page text, 
  time text, 
  referrer text NOT NULL, 
  browser text NOT NULL, 
  ip text NOT NULL, 
  timeStamp text NOT NULL, 
  id int(10) unsigned NOT NULL auto_increment, 
  PRIMARY KEY  (id) 
) TYPE=MyISAM; 

*/ 




/* 
# 
#    the query used to log a page access looks like this: 
# 

$query = "insert into times 
    (page, time, referrer, browser, ip, timeStamp) values 
    ('$_SERVER[REQUEST_URI]', '$total', '$_SERVER[HTTP_REFERER]', '$_SERVER[HTTP_USER_AGENT]', '$_SERVER[REMOTE_ADDR]', '$now' )"; 

# 
# 
#    the actual stats page, named "report.php" starts here: 
# 
*/ 

ini_set('max_execution_time', '120'); 
include('db.php'); 
$result = mysql_query("select ip, id from times order by id", $linkID); 
while ($line = mysql_fetch_row($result)) 
{ 
        $want[] = $line[1]; 
        //echo $line[1]."\n"; 
        if($line[1]>$highID){$highID = $line[1]; } 
} 

$ips = array(); 
foreach ($want as $id) 
{ 
    $result = mysql_query("select page, timeStamp, referrer, ip from times where id = '$id'", $linkID); 
    $line = mysql_fetch_assoc($result); 
    list($date, $junk) = explode(" ", $line['timeStamp']); 
    if (!in_array($line['ip'], $ips)) 
    { 
        $ips[] = $line['ip']; 
        $Udates[$date][] = array("page"  => trim(str_replace("onMouseover", "", $line['page'])), 
                            "ip"    => $line['ip']);     
    } 
        if(stristr($line['referrer'], 'google.com')) 
        { 
            $gHits[$date]++; 
        } 
        $dates[$date][] = array("page"  => trim(str_replace("onMouseover", "", $line['page'])), 
                            "ip"    => $line['ip']);        
        if($gHits[$date]==0) 
        { 
            $gHits[$date]=1; 
        } 
        $pages[trim(str_replace("onMouseover", "", $line['page']))]++; 
        if ( ($line['referrer']) and (!stristr($line['referrer'], "stargeek.com") )) 
        { 
         list($junk, $junk2, $refs[], $junk) = explode("/", $line['referrer']); 
        }     
} 
foreach ($refs as $page) 
{ 
    if(!stristr($page, 'stargeek.com')) 
    { 
        $refers[$page]++; 
    } 
} 
foreach ($dates as $day => $array) 
{ 
    $totals[$day] = count($array);     
    list($month, $day, $year) = explode("/", $day); 
    $days[] = "$month/$day/$year"; 
    foreach ($array as $hit) 
    { 
        $pageDay[$day][$hit['page']]++; 
    }     
} 

foreach ($totals as $line){$totalHits = $totalHits+$line; } 
foreach ($Udates as $day => $array) 
{ 
    $Utotals[$day] = count($array);     

    list($month, $day, $year) = explode("/", $day); 
    $Udays[] = "$month/$day"; 
    foreach ($array as $hit) 
    { 
        $pageDay[$day][$hit['page']]++; 
    }     
} 
foreach ($Utotals as $uT) 
{ 
    $totalUs = $totalUs+$uT; 
} 
$number = count($totals); 
$dayHits = round($totalHits/($number+1), 4); 
$aveUhits = round($totalUs/($number+1), 4); 
$clicks = round($dayHits/$aveUhits, 4); 
$weekHits = round($totalHits/($number/7), 4); 
$monthHits = round($totalHits/($number/30), 4); 
$searches = array(); 
$terms = array(); 
$result = mysql_query("select referrer, ip from times order by id desc", $linkID); 
echo "once"; 
while($line = mysql_fetch_assoc($result)) 
{ 

    $ref = strtolower($line['referrer']); 
    if(stristr($ref, 'search?')) 
    { 
        $ref = str_replace('http://www.google.com/search?', '', $ref); 
        $x = explode('&', $ref); 
        foreach ($x as $var) 
        { 
            if(stristr($var, 'q=')) 
            { 
                $ref = $var; 
            }                                                 
        }         
        //if(!stristr($ref, 'http:')) 
        {         
            $ref = str_replace('q=', '', $ref); 
            $ref = urldecode ($ref); 
            $ref = str_replace('+', '', $ref);                         
            $terms[$ref]['count']++;                         
        } 
    } 
} 
arsort($terms); 
foreach ($terms as $term => $value) 
{ 
    $words = split(' ', str_replace('"', '', $term)); 
    foreach ($words as $w) 
    { 
        $w = strtolower($w); 
        $wordFreq[$w]++; 
    } 
} 

arsort($wordFreq); 

$Sscale = 350/max($wordFreq); 
$searchHTML = "<table><tr><td colspan=\"3\" align=\"center\" class=\"bold\">Most Popular Search Terms</td></tr>"; 
foreach ($wordFreq as $term=>$number) 
{ 
    if(($number >1) and ($term!='')) 
    { 
    $width = $number*$Sscale; 
    $searchHTML .= "<tr><td>$term</td><td>$number</td><td><img src=\"bar.gif\" height=\"4\" width=\"$width\"></td></tr>"; 
    } 
} 
$searchHTML .= "</table>"; 

foreach ($pages as $t=>$o) 
{ 
    if (stristr($t, '/')) 
    { 
        $newPages[$t]=$o;     
    } 
} 
$pages = $newPages; 
arsort($pages); 
$Pscale=200/max($pages); 
$pageHTML = "<table><tr><td colspan=\"3\" align=\"center\" class=\"bold\">Pages</td></tr>"; 
foreach ($pages as $p=>$h) 
{ 
    if (stristr($p, '/')) 
    { 
        $width = $Pscale*$h; 
        $pageHTML .= "<tr><td>$p</td><td>$h</td><td align=\"left\"><img src=\"bar.gif\" height=\"4\" width=\"$width\"></td></tr>"; 
    } 
} 
$pageHTML .= "</table>"; 
arsort($refers); 
$referHTML = "<table><tr><td colspan=\"3\" align=\"center\" class=\"bold\">Referrers</td></tr>"; 
$Rscale = 200/max($refers); 
foreach ($refers as $p=>$h) 
{     
    $width = $Rscale*$h; 
    $referHTML .= "<tr><td><a target=\"blank\" href=\"http://$p\">$p</a></td><td>$h</td><td align=\"left\"><img src=\"bar.gif\" height=\"4\" width=\"$width\"></td></tr>"; 
} 
$referHTML .= "</table>"; 
$googleHits = implode("*", $gHits); 
$stats = implode("*", $totals); 
$Ustats = implode("*", $Utotals); 
$dates = implode("*", $days); 
$graphHTML = "<img src=\"statGraph.php?hits=$stats&Uhits=$Ustats&dates=$dates&googleHits=$googleHits\">"; 
//$graphHTML = "<img src=\"statGraph.php?hits=$stats\">"; 
$totalUhits = count($ips); 
?> 
<html> 
    <head> 
        <title>Usage Stats</title> 
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
        <style type="text/css"> 
            body { 
    background-color: white; 
            font-family: arial; 
               } 
            .bold { 
            font-weight: 600; 
            font-size: 20px; 
            } 
            b { 
            font-weight: 600; 
            } 
        </style> 
    </head> 
    <body> 
        <br/><br/> 
        <table align="center"> 
            <tr> 
             
                <td colspan="2" align="center" class="bold"> 
      Usage Statistics<?=$REMOTE_ADDR?></td> 
        </tr> 
        <tr> 
            <td width="50%" align="center">Total Hits Since Started:&nbsp;<b><?=$totalHits?></b></td> 
            <td width="50%" align="center">Total Unique IP Addresses:&nbsp;<b><?=$totalUhits?></b></td> 
        </tr> 
        <tr> 
            <td width="50%" align="center">Average Hits/Day:&nbsp;<b><?=$dayHits?></b> ave.Uhits <b><?=$aveUhits?></b> = <b><?=$clicks?></b></td> 
            <td width="50%" align="center">Average Hits/Week:&nbsp;<b><?=$weekHits?></b></td>             
        </tr> 
        <tr>             
            <td colspan="2" align="center">Average Hits/Month:&nbsp;<b><?=$monthHits?></b></td>             
        </tr> 
        <tr> 
            <td align="center" align="center" valign="top"><?=$referHTML?></td> 
            <td align="center" align="center" valign="top"><?=$pageHTML?></td> 
        </tr> 
        <tr> 
            <td align="center" valign="top" colspan="2"><br/><br/><br/><br/><br/><?=$searchHTML?></td> 
        </tr> 
        </tr> 
    </table><br/><br/><br/> 
    <center><?=$graphHTML?></center> 
</body> 
</html> 
<? 
/* 
#    dynamic graph generation file "statGraph.php" starts here 
#    cut here and below into a file named statGraph.php 
*/ 

$hits = explode("*", $hits); 
$Uhits = explode("*", $Uhits); 
$days = explode("*", $dates); 
$image  = imagecreate(1100, 470); 

$white      = imagecolorallocate($image, 0xFF, 0xFF, 0xFF);   
$navy       = imagecolorallocate($image, 0x00, 0x00, 0xC0);   
$red        = imagecolorallocate($image, 0xF0, 0x00, 0x00); 
$black      = imagecolorallocate($image, 0x00, 0x00, 0x00);   
$gray       = imagecolorallocate($image, 0xC0, 0xC0, 0xC0); 
$darkgray   = imagecolorallocate($image, 170,  170,  170); 
$green      = imagecolorallocate($image, 0x20, 0x90, 0x20); 

imagerectangle($image, 0, 0,  1000, 400, $gray); 
imagefill($image, 200, 200, $gray); 
$width = 1000/count($hits); 
for($y=1; $y<=count($hits); $y++) { 
    list($m, $d, $year) = explode("/", $days[$y]); 
    $day = date("D", mktime(0,0,0,$m,$d,$year)); 
if ( (stristr($day, "Sun")) or (stristr($day, "Sat"))) { $color = "black"; } else { $color = "darkgray"; } 
$xpos = $y*$width; 
imagestring($image, 1, $xpos+2, 0, $day, $black); 
imageline($image, $xpos, 0, $xpos, 400, $$color); 
imageline($image, $xpos+1, 0, $xpos+1, 400, $$color); 
if ( (stristr($last, "Sat")) or (stristr($last, "Sun")) ) 
{ 
    imagefill($image, $xpos-1, 200, $darkgray); 
} 
$last = $day; 
} 
for($x=1; $x<=count($hits); $x++) 
{ 
    $this = explode("/", $days[$x]); 
    $displayday = "$this[0]/$this[1]"; 
       imagestring($image, 1, ($x*$width)-10, 405, $displayday, $black); 
} 
$x = 0; 
$last=0; 
$top = max($hits)+30; 
$yScale = 400/$top; 
foreach($hits as $day=>$hit) 
{ 
$xpos = $x * $width; 
$point = 400-($hit * $yScale); 
imagefilledrectangle($image, $xpos-3, $point-3, $xpos+3, $point+3, $red); 
$totaler=$totaler+$hit; 
if ($x) 
{ 
    $realAVE[$x] = $totaler/($x+1); 
    $ave = 400-(($totaler/($x+1))*$yScale); 
} 

imagefilledrectangle($image, $xpos-3, $ave-3, $xpos+3, $ave+3, $navy); 
imagestring($image, 2, $xpos+5, $ave, round($realAVE[$x]), $navy); 
imagestring($image, 2, $xpos, $point-15, $hit, $navy); 
if ($last) {imageline($image, ($xpos-$width), $last, $xpos, $point, $red); } 
  $last = $point; 
if ($alast) {imageline($image, ($xpos-$width), $alast, $xpos, $ave, $navy); } 
  $alast = $ave; 
  $x++; 
} 

$highest = 400-(max($hits)*$yScale); 
imageline($image, 0, $highest, 1000, $highest, $red); 
$highestA = 400-(max($realAVE)*$yScale); 
imageline($image, 0, $highestA, 1000, $highestA, $navy); 
$x=0; 
$last=0; 
$width = 1000/count($Uhits); 
for($y=1; $y<=count($Uhits); $y++) { 
$xpos = $y*$width; 
imageline($image, $xpos, 0, $xpos, 400, $darkgray); 
} 

foreach($Uhits as $day=>$hit) 
{ 
$xpos = $x * $width; 
$point = 400-($hit * $yScale); 
imagefilledrectangle($image, $xpos-3, $point-3, $xpos+3, $point+3, $green); 
imagestring($image, 2, $xpos, $point-15, $hit, $navy); 
     
    $utotal = $utotal+$hit; 
    if($x) 
    { $uAve = $utotal/($x+1); } 
    $uPoint = 400-($uAve * $yScale); 
     
    $clicks = $hit/($hits[$day]); 
    $clickPoint = 400-($clicks * $yScale); 
     
// imagefilledrectangle($image, $xpos-3, $uPoint-3, $xpos+3, $uPoint+3, $white);     
if ($last) { 
imageline($image, ($xpos-$width), $last, $xpos, $point, $green); 
imageline($image, ($xpos-$width), $uLast, $xpos, $uPoint, $white); 
imagefilledrectangle($image, $xpos-3, $uPoint-3, $xpos+3, $uPoint+3, $white); 
  imageline($image, ($xpos-$width), $clickLast, $xpos, $clickPoint, $black);      
}     
     
  $last = $point; 
  $clickLast = $clickPoint; 
  $uLast = $uPoint; 
  $x++; 
} 

$highestU = 400-(max($Uhits)*$yScale); 
imageline($image, 0, $highestU, 1000, $highestU, $green); 
header("Content-type: image/png"); 
imagepng($image); 
imagedestroy($image);   
?>